import type { BlockObjectResponse, DatabaseObjectResponse, PageObjectResponse, PartialBlockObjectResponse, PartialDatabaseObjectResponse, PartialPageObjectResponse, PartialUserObjectResponse, UserObjectResponse } from ".";
export declare function isFullBlock(response: PageObjectResponse | PartialPageObjectResponse | DatabaseObjectResponse | PartialDatabaseObjectResponse | BlockObjectResponse | PartialBlockObjectResponse): response is BlockObjectResponse;
export declare function isPageObjectResponse(response: any): response is PageObjectResponse[];
export declare function isFullPage(page: any): page is PageObjectResponse;
export declare function isObject(o: unknown): o is Record<PropertyKey, unknown>;
export declare function isFullUser(response: UserObjectResponse | PartialUserObjectResponse): response is UserObjectResponse;
